# AI-Command

AI-Command: Execute command line tasks intelligently using OpenAI-powered natural language prompts.

[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)

## Table of Contents

- [Overview](#overview)
- [Installation](#installation)
- [Usage](#usage)
- [Contributing](#contributing)
- [License](#license)

## Overview

AI-Command (ai-cmd) is a versatile command line tool that uses OpenAI to intelligently generate and execute commands based on user prompts. With AI-Command, you can harness the power of OpenAI's language model to assist you in performing various tasks, such as file management, data manipulation, and more, all through a single command.

## Installation

1. Clone the GitHub repository:

```markdown
git clone https://github.com/krystian-ai/ai-cmd.git
```

2. Change to the `ai-cmd` directory:

```go
cd ai-cmd
```


3. Install the package:

```bash
pip install .
```

## Usage

To use AI-Command, simply type `AI` followed by your prompt in the terminal or command prompt:

```mathematica
AI [prompt]
```


For example:

```bash
AI create a new folder called "my_project"
```


AI-Command will process your prompt, generate the appropriate command, and execute it for you.

## Contributing

Contributions are welcome! Please feel free to submit issues or pull requests to help improve AI-Command.

## License

AI-Command is released under the [MIT License](https://opensource.org/licenses/MIT). See
